"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const colors_1 = __importDefault(require("colors"));
class Message {
    constructor(fileName, line, column) {
        this.fileName = fileName;
        this.line = line;
        this.column = column;
    }
    getFileName() {
        return colors_1.default.bold.underline(this.fileName);
    }
    output(msg) {
        const pluginName = '[postcss-console]';
        const where = `(${this.line}, ${this.column})`;
        return `${colors_1.default.gray(pluginName)} ${msg} ${colors_1.default.gray(where)}`;
    }
}
exports.default = Message;
