"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Log_1 = __importDefault(require("./Log"));
const Warn_1 = __importDefault(require("./Warn"));
const Error_1 = __importDefault(require("./Error"));
const Assert_1 = __importDefault(require("./Assert"));
class MessageFactory {
    static getMessage(atRule) {
        const source = atRule.source;
        const file = source.input.file;
        const { line, column } = source.start;
        switch (atRule.name) {
            case 'console.log':
                return new Log_1.default(file, line, column);
            case 'console.warn':
                return new Warn_1.default(file, line, column);
            case 'console.error':
                return new Error_1.default(file, line, column);
            case 'console.assert':
                return new Assert_1.default(file, line, column);
            default:
                throw atRule.error(`Don't exist this method "${atRule.name}"`);
        }
    }
}
exports.default = MessageFactory;
