"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const MessageFactory_1 = __importDefault(require("./MessageFactory"));
function log(atRule) {
    const message = MessageFactory_1.default.getMessage(atRule);
    console.log(message.getFileName());
    try {
        console.log(message.output(atRule.params));
        atRule.remove();
    }
    catch (error) {
        throw atRule.error(error);
    }
}
const plugin = () => {
    return {
        postcssPlugin: 'postcss-console',
        AtRule: {
            'console.log': log,
            'console.warn': log,
            'console.error': log,
            'console.assert': log,
        },
    };
};
plugin.postcss = true;
module.exports = plugin;
